/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./components/**/*.{js,vue,ts}",
    "./layouts/**/*.vue",
    "./pages/**/*.vue",
    "./plugins/**/*.{js,ts}",
    "./nuxt.config.{js,ts}",
    "./app.vue",
    "./node_modules/flowbite/**/*.{js,ts}",
  ],
  theme: {
    extend: {
      colors: {
        primary: {
          50: "#edf8ff",
          100: "#d7eeff",
          200: "#b8e3ff",
          300: "#88d3ff",
          400: "#50baff",
          500: "#2799ff",
          600: "#107aff",
          700: "#0962ec",
          800: "#0e4fbf",
          900: "#124596",
          950: "#102b5b",
        },
        secondary: {
          50: "#fff7ed",
          100: "#feedd6",
          200: "#fcd8ac",
          300: "#fabb77",
          400: "#f79440",
          500: "#f4761b",
          600: "#e55c11",
          700: "#be4510",
          800: "#973715",
          900: "#7a2f14",
          950: "#421608",
        },
        success: {
          50: "#f1fcf3",
          100: "#dff9e5",
          200: "#c1f1cc",
          300: "#90e5a5",
          400: "#58d076",
          500: "#31b652",
          600: "#239640",
          700: "#1f7635",
          800: "#1d5e2e",
          900: "#1a4d28",
          950: "#092a13",
        },
        danger: {
          50: "#fef2f2",
          100: "#ffe1e1",
          200: "#ffc9c9",
          300: "#fea3a3",
          400: "#fb6e6e",
          500: "#f34040",
          600: "#e02222",
          700: "#bc1919",
          800: "#9c1818",
          900: "#811b1b",
          950: "#460909",
        },
        warning: {
          50: "#fefce8",
          100: "#fffac2",
          200: "#fff089",
          300: "#ffdd33",
          400: "#fdcc12",
          500: "#ecb206",
          600: "#cc8a02",
          700: "#a36105",
          800: "#864c0d",
          900: "#723e11",
          950: "#432005",
        },
        light: {
          50: "#ffffff",
          100: "#efefef",
          200: "#dcdcdc",
          300: "#bdbdbd",
          400: "#989898",
          500: "#7c7c7c",
          600: "#656565",
          700: "#525252",
          800: "#464646",
          900: "#3d3d3d",
          950: "#292929",
        },
        dark: {
          50: "#f7f7f7",
          100: "#e3e3e3",
          200: "#c8c8c8",
          300: "#a4a4a4",
          400: "#818181",
          500: "#666666",
          600: "#515151",
          700: "#434343",
          800: "#383838",
          900: "#313131",
          950: "#000000",
        },

        accent: {
          50: "#f9f5ff",
          100: "#f1e7ff",
          200: "#e6d3ff",
          300: "#d2b0ff",
          400: "#b67eff",
          500: "#9747ff",
          600: "#832af3",
          700: "#701ad6",
          800: "#601aaf",
          900: "#50178c",
          950: "#340269",
        },
      },
      fontFamily: {
        Inter: ["Inter", "sans-serif"],
      },
    },
  },
  plugins: [require("flowbite/plugin")],
};
